# Return Subaccounts and service accounts conflicts

This function lists the other Subaccounts or services accounts that conflict
with the specified username.

Note:

If the function returns more than one account, it will return some values
multiple times within the return arrays.

Endpoint: GET /UserManager/check_account_conflicts
Version: 11.136.0.19
Security: BasicAuth

## Query parameters:

  - `full_username` (string, required)
    The Subaccount's username and domain name.
    Example: "username@example.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "check_account_conflicts"

  - `module` (string)
    The name of the module called.
    Example: "UserManager"

  - `result` (object)

  - `result.data` (object)

  - `result.data.accounts` (object)
    An object containing the service accounts that match the queried full_username parameter.

  - `result.data.accounts.alternate_email` (string,null)
    An alternate email address for the Subaccount's user.
    Example: "user@example.com"

  - `result.data.accounts.avatar_url` (string,null)
    The URL to the user's Subaccount profile image file.
    Example: "https://img.example.com/avatars/example.jpg"

  - `result.data.accounts.can_delete` (integer)
    Whether the cPanel account user can delete the Subaccount.

* 1 — Can delete.
* 0 — Cannot delete.
    Enum: 1, 0

  - `result.data.accounts.can_set_password` (integer)
    Whether the cPanel account user can change the Subaccount's
password.

* 1 — Can change the password.
* 0 — Cannot change the password.

Note:

the function returns 0 for Subaccounts that inherit their password
from the cPanel account.
    Enum: 1, 0

  - `result.data.accounts.can_set_quota` (integer)
    Whether the cPanel account user can change the Subaccount's
disk usage quota.

* 1 — Can change the Subaccount's disk usage quota.
* 0 — Cannot change the Subaccount's disk useage quota.
    Enum: 1, 0

  - `result.data.accounts.dismissed` (integer)
    Whether the cPanel account user dismissed the merge prompt
for the service account.

* 1 — Dismissed.
* 0 — Did not dismiss.

Note:

Only service accounts return this value.
    Enum: 1, 0

  - `result.data.accounts.dismissed_merge_candidates` (array)
    A list of the service accounts that the user dismissed the merge
prompt for.

Note:

* This array always returns empty.
* We reserved this return for future use.

  - `result.data.accounts.domain` (string)
    The Subaccount user's associated domain.
    Example: "example.com"

  - `result.data.accounts.full_username` (string)
    The Subaccount's username.
    Example: "username@example.com"

  - `result.data.accounts.guid` (string)
    The Subaccount's system-assigned unique identifier.
    Example: "N4641:EXAMPLE.COM:564CC8A7:A82EA007D8348AC631C0170F9418EC1DEB0D164CC5A722A87C55EF5DD2AD98D4"

  - `result.data.accounts.has_expired_invite` (integer)
    Whether the Subaccount owns an expired invitation.

* 1 — Owns an expired invitation.
* 0 — Does not own an expired invitation.
    Enum: 1, 0

  - `result.data.accounts.has_invite` (integer)
    Whether the Subaccount owns an active invitation.

* 1 — Own an active invitation.
* 0 — Does not own an active invitation.
    Enum: 1, 0

  - `result.data.accounts.has_siblings` (integer)
    Whether the service account shares the queried full_username value
with another service account.

* 1 — Shares the service account.
* 0 — Does not share the service account.
    Enum: 1, 0

  - `result.data.accounts.invite_expiration` (integer,null)
    The time at which the new Subaccount invitation will expire.

* null — The account does not own an active invitation.
    Example: 1600162200

  - `result.data.accounts.issues` (array)
    An array of objects containing information about any issues or problems with the Subaccount.

  - `result.data.accounts.issues.area` (string)
    The affected section of cPanel & WHM.
    Example: "info"

  - `result.data.accounts.issues.limit` (integer)
    The set megabyte (MB) quota limit for the affected Subaccount.
    Example: 1500

  - `result.data.accounts.issues.message` (string)
    A description of the issue.
    Example: "Your account is over quota."

  - `result.data.accounts.issues.service` (string)
    The affected service.

* email
* ftp
* webdisk
    Enum: "email", "ftp", "webdisk"

  - `result.data.accounts.issues.type` (string)
    The type of issue.

* error
* warning
* info
    Enum: "error", "warning", "info"

  - `result.data.accounts.issues.used` (integer)
    The number of megabytes (MB) the account currently uses.
    Example: 2000

  - `result.data.accounts.merge_candidates` (array)
    An array of objects containing the service accounts that the system could merge for this Subaccount.

  - `result.data.accounts.merge_candidates.parent_type` (string,null)
    The type of account that could own the service account.

* sub — A Subaccount.
* hypothetical — A hypothetical Subaccount that does not
yet exist, but that the user could create as part of a merge.
* null — Not a merge candidate.
    Enum: "sub", "hypothetical"

  - `result.data.accounts.merge_candidates.phone_number` (string)
    The Subaccount user's phone number, in
[ITU-T-recommended E.164](https://en.wikipedia.org/wiki/E.164)
format.
    Example: "+15551234567"

  - `result.data.accounts.merge_candidates.real_name` (string)
    The name of the Subaccount user, if provided.
    Example: "John Doe"

  - `result.data.accounts.merge_candidates.services` (object)
    Information about the Subaccount's access to email, FTP, and Web Disk.

  - `result.data.accounts.merge_candidates.services.email` (object)
    Information that indicates the Subaccount's email status.

  - `result.data.accounts.merge_candidates.services.email.enabled` (integer)
    Whether the Subaccount can access Webmail, POP, and
IMAP services.

* 1 — Has service access.
* 0 — Does not have service access.
    Enum: 1, 0

  - `result.data.accounts.merge_candidates.services.email.quota` (integer)
    The Subaccount's email disk space quota, in megabytes (MB).

* 0 — The account has an unlimited email disk space quota.
    Example: 100

  - `result.data.accounts.merge_candidates.services.ftp` (object)
    Information about the Subaccount's FTP status.

  - `result.data.accounts.merge_candidates.services.ftp.enabled` (integer)
    Whether the Subaccount can access FTP.

* 1 — Has FTP service access.
* 0 — Does not have FTP service access.
    Enum: 1, 0

  - `result.data.accounts.merge_candidates.services.ftp.homedir` (string)
    The Subaccount's FTP directory, relative to the cPanel account's home directory.
    Example: "/Subaccount"

  - `result.data.accounts.merge_candidates.services.ftp.quota` (integer)
    The Subaccount's FTP maximum disk space quota, in
megabytes (MB).

* 0 — The account has an unlimited disk space quota.
    Example: 100

  - `result.data.accounts.merge_candidates.services.webdisk` (object)
    Information about the Subaccount's Web Disk status.

  - `result.data.accounts.merge_candidates.services.webdisk.enabled` (integer)
    Whether the Subaccount can access Web Disk.

* 1 — Has Web Disk service access.
* 0 — Does not have Web Disk service access.
    Enum: 1, 0

  - `result.data.accounts.merge_candidates.services.webdisk.homedir` (string)
    The Subaccount's Web Disk directory, relative to the cPanel account's home directory.
    Example: "/username"

  - `result.data.accounts.merge_candidates.services.webdisk.perms` (string)
    Whether the Web Disk has read or read and write
permissions.

* ro — Read-only permissions.
* rw — Read and write permissions.
    Enum: "ro", "rw"

  - `result.data.accounts.merge_candidates.services.webdisk.private` (integer)
    Whether the Web Disk directory permissions are public
or private.

* 1 — Private (0700).
* 0 — Public (0755).
    Enum: 1, 0

  - `result.data.accounts.merge_candidates.special` (integer)
    Whether the account is a system-created special account that
the user cannot remove.

* 1 — The user can remove the account.
* 0 — The user cannot remove the account.
    Enum: 1, 0

  - `result.data.accounts.merge_candidates.sub_account_exists` (integer,null)
    Whether a Subaccount exists with the same username.

* 1 — Exists.
* 0 — Does not exist.
* null — The account is not a Subaccount.
    Enum: 1, 0

  - `result.data.accounts.merge_candidates.synced_password` (integer,null)
    Whether the user has synchronized the passwords for each of
the Subaccount's service accounts.

* 1 — Synchronized.
* 0 — Not synchronized.
* null — The account is not a Subaccount.
    Enum: 1, 0

  - `result.data.accounts.merge_candidates.type` (string)
    The type of account.

* sub — A Subaccount.
* hypothetical — A hypothetical Subaccount that does not
yet exist, but that the user could create as part of a merge.
* service — A service account.
* cpanel — A cPanel account.
    Enum: "sub", "hypothetical", "service", "cpanel"

  - `result.data.accounts.merge_candidates.username` (string)
    The username for the Subaccount.

Note:

This value does not include the domain name.
    Example: "username"

  - `result.data.conflict` (integer)
    Whether the system detected an account conflict.

* 1 — Conflict.
* 0 — No conflict.
    Enum: 1, 0

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


